Bug 795058 - AttributeError: 'Storage' object has no attribute 'createSuggestedVGName'
Summary: AttributeError: 'Storage' object has no attribute 'createSuggestedVGName'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:fdf91e1d99eb9426779629c6aaa...
Depends On:
Blocks: F17Blocker, F17FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2012-02-19 01:09 UTC by Jason Montleon
Modified: 2012-02-28 11:01 UTC (History)
5 users (show)

Fixed In Version: anaconda-17.11-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-28 11:01:19 UTC


Attachments (Terms of Use)
File: anaconda-tb-_bexTc (314.50 KB, text/plain)
2012-02-19 01:09 UTC, Jason Montleon
no flags Details

Description Jason Montleon 2012-02-19 01:09:40 UTC
libreport version: 2.0.8
cmdline:        /usr/bin/python  /sbin/anaconda --vnc --graphical --selinux --lang en_US.UTF-8 --keymap us
executable:     /sbin/anaconda
exnFileName:    /tmp/anaconda-tb-_bexTc
hashmarkername: anaconda
kernel:         3.3.0-0.rc3.git5.1.fc17.x86_64
other involved packages: 
product:        Fedora
reason:         AttributeError: 'Storage' object has no attribute 'createSuggestedVGName'
release:        Cannot get release name.
time:           Sat 18 Feb 2012 03:08:24 PM EST
version:        17-Alpha

anaconda-tb-_bexTc: Text file, 322049 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 17.8 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/iw/lvm_dialog_gui.py", line 1378, in __init__
:    self.volnameEntry.set_text(self.storage.createSuggestedVGName(anaconda.network.hostname))
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/iw/partition_gui.py", line 1741, in editLVMVolumeGroup
:    device, isNew)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/iw/partition_gui.py", line 1576, in createCB
:    self.editLVMVolumeGroup(tempvg, isNew = True)
:AttributeError: 'Storage' object has no attribute 'createSuggestedVGName'

environ:
:LC_NUMERIC=C
:LANGKEY=en
:LVM_SUPPRESS_FD_WARNINGS=1
:initrd=initrd.img
:GCONF_GLOBAL_LOCKS=1
:PATH=/tmp/product:/tmp/updates:/usr/bin:/bin:/sbin:/usr/sbin:/mnt/sysimage/bin:/mnt/sysimage/usr/bin:/mnt/sysimage/usr/sbin:/mnt/sysimage/sbin:/sbin:/usr/sbin
:PIXMAPPATH=/tmp/updates/pixmaps/:/tmp/updates/:/tmp/product/pixmaps/:/tmp/product/:pixmaps/:/usr/share/anaconda/pixmaps/:/usr/share/pixmaps/:/usr/share/anaconda/:/usr/share/python-meh/:/usr/share/icons/Fedora/48x48/apps/
:HOME=/tmp
:DISPLAY=:1
:LANG=en_US.UTF-8
:TERM=linux
:TZ=America/New_York
:XAUTHORITY=/root/.Xauthority
:GLADEPATH=/tmp/updates/:/tmp/updates/data/ui/:ui/:/usr/share/anaconda/ui/:/usr/share/python-meh/
:SHLVL=0
:LIBUSER_CONF=/tmp/libuser.kobvjy
:LD_LIBRARY_PATH=/tmp/product:/tmp/updates
:GNOME_DISABLE_CRASH_DIALOG=1
:PYTHONPATH=/tmp/product:/tmp/updates:/tmp/updates
:LINGUAS=English
:BOOT_IMAGE=vmlinuz
:LC_COLLATE=C
:PWD=/
:MALLOC_PERTURB_=MALLOC_PERTURB_=45
:MALLOC_CHECK_=2

Comment 1 Jason Montleon 2012-02-19 01:09:43 UTC
Created attachment 564107 [details]
File: anaconda-tb-_bexTc

Comment 2 Jason Montleon 2012-02-19 01:12:03 UTC
This occurs when trying to create a custom disk layout with Fedora 17 Alpha RC2. I created a 2MB Bios Boot partition, followed by a physical volume. When I go to create the VG and LV's the error occurs. Seems reproducible 100% of the tie.

Comment 3 Fedora Update System 2012-02-21 00:14:55 UTC
anaconda-17.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/anaconda-17.10-1.fc17

Comment 4 Adam Williamson 2012-02-21 01:54:44 UTC
This would be a final blocker, criterion "The installer must be able to create and install to any workable partition layout using any file system offered in a default installer configuration, LVM, software, hardware or BIOS RAID, or combination of the above"



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Fedora Update System 2012-02-21 18:22:53 UTC
anaconda-17.11-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/anaconda-17.11-1.fc17

Comment 6 Fedora Update System 2012-02-22 03:54:07 UTC
Package anaconda-17.11-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-17.11-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2185/anaconda-17.11-1.fc17
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-02-28 11:01:19 UTC
anaconda-17.11-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.